﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Text;
using Xamarin.Forms;

namespace Schedule
{
    public class ScheduleViewModel
    {
        public ObservableCollection<Meeting> meetings = new ObservableCollection<Meeting>();
        public ScheduleViewModel()
        {
            Meeting client = new Meeting();
            client.Start = new DateTime(2019, 06, 26, 10, 0, 0);
            client.End = client.Start.AddHours(1);
            client.TitleText = "Client Meeting";
            client.IsAllDay = true;
            meetings.Add(client);

            Meeting checkup = new Meeting();
            checkup.Start = new DateTime(2019, 06, 28, 9, 0, 0);
            checkup.End = checkup.Start.AddHours(1);
            checkup.TitleText = "Checkup";
            checkup.IsAllDay = true;
            meetings.Add(checkup);

            Meeting conference = new Meeting();
            conference.Start = new DateTime(2019, 06, 29, 12, 0, 0);
            conference.End = conference.Start.AddHours(2);
            conference.TitleText = "Conference";
            conference.IsAllDay = false;
            meetings.Add(conference);

        }
        public ObservableCollection<Meeting> Meetings
        {
            get { return this.meetings; }
            set { this.meetings = value; }
        }
    }
}
